#Cripto 5.3.1

import sys, colored, pkiutils

def printUsage():
    print("Usage: python verifyCertificateChain-app.py [-d (check if expired)] [cert.pem] [rootcert.pem]")

def parseArgs():
    if (len(sys.argv) < 3) or (len(sys.argv) > 4):
        printUsage()
    else:
        checkExpired = False

        if ("-d" in sys.argv):
            checkExpired = True
            sys.argv.remove("-d")

        certificatePath = sys.argv[1]
        rootCertificatePath = sys.argv[2]
        main(certificatePath, rootCertificatePath, checkExpired)

def readFile(path):
    f = open(path, "r")
    data = f.read()
    f.close()
    return data

def main(certificatePath, rootCertificatePath, checkExpired):
    expired = False

    pemCertificate = readFile(certificatePath)
    rootPEMCertificate = readFile(rootCertificatePath)

    errorCode, pemPublicKey = pkiutils.getPublicKeyFromCertificate(pemCertificate)
    rootErrorCode, rootPEMPublicKey = pkiutils.getPublicKeyFromCertificate(rootPEMCertificate)

    if (errorCode > 1):
        print("%sInvalid certificate: %s %s" % (colored.fg("red"), certificatePath, colored.attr("reset")))
    if (rootErrorCode > 1):
        print("%sInvalid certificate: %s %s" % (colored.fg("red"), rootCertificatePath, colored.attr("reset")))

    if (errorCode > 1) or (rootErrorCode > 1):
        return

    if (checkExpired):
        if (errorCode == 1):
            print("%sError: %s has expired %s" % (colored.fg("red"), certificatePath, colored.attr("reset")))
            expired = True
        elif (rootErrorCode == 1):
            print("%sError: %s has expired %s" % (colored.fg("red"), rootCertificatePath, colored.attr("reset")))
            expired = True
    if (not expired):
        if (pkiutils.verifyCertificateChain(pemCertificate, rootPEMCertificate)):
            print("Ok")
        else:
            print("%sError: Invalid certificate chain %s" % (colored.fg("red"), colored.attr("reset")))

if __name__ == "__main__":
    parseArgs()
