import os

from evote.settings import *  # noqa


DEBUG = False
TEMPLATE_DEBUG = False

THUMBNAIL_FORMAT = "PNG"

# IN-MEMORY TEST DATABASE
DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.sqlite3",
        "NAME": ":memory:"
    },
}

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.auth.middleware.SessionAuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
    'evotevotings.voters.middleware.VotersMiddleware'
]

PASSWORD_HASHERS = (
    'django.contrib.auth.hashers.MD5PasswordHasher',
)

TEMPLATE_LOADERS = (
    ('django.template.loaders.cached.Loader', (
        'django.template.loaders.filesystem.Loader',
        'django.template.loaders.app_directories.Loader',
    )),
)

CELERY_ALWAYS_EAGER = True
CELERY_EAGER_PROPAGATES_EXCEPTIONS = True
BROKER_BACKEND = 'memory'

# Celery email backend
CELERY_EMAIL_BACKEND = 'django.core.mail.backends.dummy.EmailBackend'

EVOTE_MAILING_REPLYTO_DEFAULT = 'default@eurotux.com'
DEFAULT_FROM_EMAIL = 'default@eurotux.com'
EVOTE_MAILING_SUBJECT_DEFAULT = 'Unit test default'
CELERY_EMAIL_CHUNK_SIZE = 3

# Django Site identification
SITE_ID = 1

# Recaptcha testing
os.environ['RECAPTCHA_TESTING'] = 'True'

JAVASCRIPT_SETTINGS_SCAN_MODULES = {}

# WS UM Members
MEMBERS_SERVICE_CONFIG = {
    'debug': True,
    'url': '',
    'login': '',
    'password': ''
}

# WS UM SMS Notifications
SMS_SERVICE_CONFIG = {
    'debug': True,
    'url': '',
    'login': '',
    'password': ''
}
