from __future__ import unicode_literals

from django.conf.urls.i18n import i18n_patterns
from django.views.i18n import JavaScriptCatalog
from django.conf.urls import include, url
from django.contrib import admin as django_admin
from django.conf import settings
from django.views.generic import RedirectView
# from contrib.adfsauth.views import WSFedSigninView


django_admin.autodiscover()

urlpatterns = [
    url(
        regex=r'^i18n/',
        view=include('django.conf.urls.i18n')
    ),
    url(
        regex=r'^jsi18n/$',
        view=JavaScriptCatalog.as_view(),
        name="javascript-catalog"
    ),
    url(
        regex=r'^adfs/',
        view=include("contrib.adfsauth.urls")
    ),
    # url(
    #     regex=r'^$',
    #     view=WSFedSigninView.as_view(),
    # )
]


urlpatterns += i18n_patterns(
    url(
        regex=r'^admin/',
        view=include(django_admin.site.urls)
    ),
    url(
        regex=r'^voters/',
        view=include("evotevotings.voters.urls")
    ),
    url(
        regex=r'^',
        view=include('evotecore.urls')
    ),
    url(
        regex=r'^services/api/$',
        view=RedirectView.as_view(url='/services/api/v1/')
    ),
    url(
        regex=r'^services/api/v1/',
        view=include('evotevotings.services.urls')
    )
)


if settings.DEBUG:
    import debug_toolbar

    from django.conf.urls.static import static
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns

    urlpatterns += [
        url(
            regex=r'^__debug__/',
            view=include(debug_toolbar.urls)
        )
    ]
    # Serve static and media files from development server
    urlpatterns += staticfiles_urlpatterns()
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)
