from __future__ import unicode_literals

from django.views.generic import TemplateView
from django.shortcuts import redirect
from django.conf import settings


class DemoView(TemplateView):
    """Demo view."""

    template_name = "evotecore/demo.html"


class HomepageView(TemplateView):
    """Homepage view."""
    template_name = "evotecore/index.html"

    def get(self, request, *args, **kwargs):
        if request.user.is_authenticated():
            return redirect(settings.LOGIN_REDIRECT_URL)
        return super(HomepageView, self).get(request, *args, **kwargs)
