from django.core.mail.backends.base import BaseEmailBackend

from .tasks import send
from .utils import serialize_email, get_chunks


class EvoteEmailBackend(BaseEmailBackend):

    def __init__(self, fail_silently=False, **kwargs):
        super(EvoteEmailBackend, self).__init__(fail_silently)
        self.init_kwargs = kwargs

    def send_messages(self, email_messages):
        tasks = []
        email_list = [serialize_email(email) for email in email_messages]
        for chunk in get_chunks(email_list):
            tasks.append(send.delay(chunk, self.init_kwargs))
        return tasks
