from json import dumps

from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator
from django.views.generic.base import View
from django.http import HttpResponse

from .registers import recipient_register

from guardian.shortcuts import get_objects_for_user


@method_decorator(login_required, name="dispatch")
class MessageRecipientsAjaxView(View):
    """ """

    def get(self, request, *args, **kwargs):
        q = request.GET.get('q', '')
        slug = kwargs.get('slug', None)
        objs_slugs = None
        values = None
        if request.user.is_election_voter:
            objs_slugs = get_objects_for_user(
                request.user,
                'evoteprocesses.view_electoralprocess', use_groups=False,
                with_superuser=False).published()\
                .values_list('slug', flat=True)

        if slug:
            values = [slug]
        elif objs_slugs:
            values = objs_slugs

        response = dumps(recipient_register.get_all_recipients(
            self.request.user, q=q, slug=values))
        return HttpResponse(response, content_type='application/json')
