# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-12-02 17:46
from __future__ import unicode_literals

import autoslug.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('subject', models.CharField(max_length=140, verbose_name='Subject')),
                ('body', models.TextField(verbose_name='Body')),
                ('read_at', models.DateTimeField(blank=True, null=True, verbose_name='Read at')),
                ('anonymous_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Sender')),
                ('folder', models.PositiveSmallIntegerField(choices=[(0, 'Recieved'), (1, 'Sent'), (2, 'Archived'), (3, 'Trash')], default=1, verbose_name='Folder')),
                ('state', models.PositiveSmallIntegerField(choices=[(0, 'New'), (1, 'Read'), (2, 'Replied')], default=0, verbose_name='State')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='subject', unique=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='siblings', to='evotemessages.Message', verbose_name='Parent message')),
                ('recipients', models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='Recipients')),
                ('sender', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sent', to=settings.AUTH_USER_MODEL, verbose_name='Sender')),
            ],
            options={
                'ordering': ['-created'],
                'verbose_name': 'message',
                'verbose_name_plural': 'messages',
            },
        ),
    ]
