class BaseRecipient(object):
    """ """
    name_separator = ':'
    prefix = None
    model = None
    label = None
    label_prefix = None

    def get_queryset(self):
        return self.model._default_manager.all()

    def get_recipient_pk(self, obj):
        return "{}{}{}".format(self.prefix, self.name_separator, obj.pk)

    def get_recipient_label(self, obj):
        return self.label_prefix + " " + getattr(obj, self.label)

    def prepare(self, qs):
        items = []
        for item in qs:
            items.append({
                'id': self.get_recipient_pk(item),
                'text': self.get_recipient_label(item)
            })
        return items

    def _get_recipients(self, *args, **kwargs):
        return self.prepare(self.get_recipients(*args, **kwargs))

    def check_permission(self, user):
        return True

    def get_pk(self, name):
        return name.split(self.name_separator)[1]

    def get_object(self, name):
        return self.get_queryset().filter(pk=self.get_pk(name)).first()
