from django.utils.module_loading import autodiscover_modules


class RecipientRegister(object):
    """ """
    _registry = []

    def add(self, recipient):
        self._registry.append(recipient)

    def get_all_recipients(self, user, *args, **kwargs):
        recipients = []
        for recipient in self._registry:
            if recipient().check_permission(user):
                recipients += recipient()._get_recipients(*args, **kwargs)
        return recipients

    def get_all_users(self, name):
        users = []
        for recipient in self._registry:
            users += recipient().get_users(name)
        return users


recipient_register = RecipientRegister()


def autodiscover():
    """autodiscover and import conditions.py files to feed register
    """
    autodiscover_modules('recipients', register_to=recipient_register)
