from __future__ import unicode_literals

from django import template
from django.conf import settings
from django.core.urlresolvers import reverse

from evotemessages.models import Message


register = template.Library()


@register.simple_tag(takes_context=True)
def inbox_count(context):
    """ """
    obj = context['obj'] or None
    return Message.objects.inbox(context['request'].user, obj).count()


@register.simple_tag(takes_context=True)
def sentbox_count(context):
    """ """
    obj = context['obj'] or None
    return Message.objects.sentbox(context['request'].user, obj).count()


@register.simple_tag(takes_context=True)
def archived_count(context):
    """ """
    obj = context['obj'] or None
    return Message.objects.archivebox(context['request'].user, obj).count()


@register.simple_tag()
def nested_url(destination, *args, **kwargs):
    """
    This tag allows to construct url for nested urls.
    Ex: app B includes URLS of A, you can do
    nested_url "A:url" will result in url "B:A:url"
    """
    name = getattr(settings, "EVOTEMESSAGES_BASE_APP_NAME",
                   'voters:evotemessages')
    if 'slug' in kwargs and kwargs['slug'] == '':
        kwargs.pop('slug')
    destination = name + ":" + destination
    url = reverse(destination, args=args, kwargs=kwargs)
    return url
