from json import loads

from django.test import TestCase

from evotemessages.templatetags.messages_tags import nested_url
from evoteusers.tests.utils import UserTestUtils


class MessageRecipientsAjaxViewTest(UserTestUtils, TestCase):
    """ """

    def setUp(self):
        self.credentials = {
            "email": "dev@eurotux.com",
            "password": "password"
        }
        self.user = self.create_user(**self.credentials)
        self.client.login(**self.credentials)
        self.url = nested_url('message-recipients')

    def test_get(self):
        """ """
        response = self.client.get(self.url)
        content = loads(response.content)
        self.assertEqual(response.status_code, 200)
        self.assertEqual([], content)

    def test_get_with_query(self):
        """ """
        url = self.url + "?q=test"
        response = self.client.get(url)
        content = loads(response.content)
        self.assertEqual(response.status_code, 200)
        self.assertEqual([], content)

    def test_login_required(self):
        """ """
        self.client.logout()
        response = self.client.get(self.url)
        self.assertEqual(response.status_code, 302)
