from django.test import TestCase

from evoteusers.tests.utils import UserTestUtils
from evotemessages.models import Message


class MessageTest(UserTestUtils, TestCase):

    def setUp(self):
        self.sender = self.create_user()
        self.message = Message(
            subject='Unit test message',
            body='Unit message',
            sender=self.sender,
        )

    def test_str(self):
        expected = "Unit test message"
        self.assertEqual(str(self.message), expected)

    def test_is_read_false(self):
        self.assertEqual(self.message.is_read, False)

    def test_mark_as_read(self):
        self.message.mark_as_read()
        self.assertIsNotNone(self.message.read_at, True)
