from __future__ import unicode_literals

from django.conf.urls import url

from .ajax import MessageRecipientsAjaxView

from .views import (ArchiveMessageView, DeleteMessageView,
                    MessagesRecievedView, MessagesSentView,
                    MessagesArchivedView, MessageNewView, MessageView,
                    MessageResponseView)

app_name = "evotemessages"

urlpatterns = [
    url(
        regex=r'^recieved/$',
        view=MessagesRecievedView.as_view(),
        name="messages-recieved"
    ),
    url(
        regex=r'^sent/$',
        view=MessagesSentView.as_view(),
        name="messages-sent"
    ),
    url(
        regex=r'^archived/$',
        view=MessagesArchivedView.as_view(),
        name="messages-archived"
    ),
    url(
        regex=r'^new/$',
        view=MessageNewView.as_view(),
        name="message-new"
    ),
    # Ajax
    url(
        regex=r'^recipients/$',
        view=MessageRecipientsAjaxView.as_view(),
        name="message-recipients"
    ),
    # slugs
    url(
        regex=r'^(?P<pk>\d+)/archive/$',
        view=ArchiveMessageView.as_view(),
        name="archive-message"
    ),
    url(
        regex=r'^(?P<pk>\d+)/delete/$',
        view=DeleteMessageView.as_view(),
        name="delete-message"
    ),
    url(
        regex=r'^(?P<msg_slug>[-\w]+)/view/$',
        view=MessageView.as_view(),
        name="message-view"
    ),
    url(
        regex=r'^(?P<msg_slug>[-\w]+)/response/$',
        view=MessageResponseView.as_view(),
        name="message-response"
    )
]
