from mock import patch

from django.contrib.auth.models import AnonymousUser
from django.test import TestCase, RequestFactory
from django.http import HttpResponse

from evoteusers.views import EvoteLoginView

from .utils import UserTestUtils


def empty_response(*args, **kwargs):
    return HttpResponse("")


class EvoteLoginViewTest(UserTestUtils, TestCase):
    """ """

    def setUp(self):
        self.factory = RequestFactory()
        self.user = self.create_user()

    @patch("evoteusers.views.EvoteLoginView.render_to_response",
           new=empty_response)
    def test_login_user(self):
        request = self.factory.get('/login/')
        request.user = AnonymousUser()
        request.session = self.client.session
        response = EvoteLoginView.as_view()(request)
        self.assertEqual(response.status_code, 200)
