from __future__ import unicode_literals
from django import template
from evotevotings.admin.models import SecretEntry


register = template.Library()


@register.simple_tag
def certificate_identifier(value):
    """
        This tag receives an integer identifier and returns its counterpart
        string to the template
    """
    return SecretEntry.Identifier.choices[value][1]


@register.assignment_tag(takes_context=False)
def is_private_key(value):
    """
        This tag receives a certificate field identifier and returns
        a boolean depending on if that value is or not a private key
    """
    return any(value in key for key in SecretEntry.Identifier.private_keys)
