from __future__ import unicode_literals

from django.conf.urls import url

from evoteusers.views import EvoteLogoutView

from .views import (
    LoginView,
    HomepageView,
    PageListView,
    PageUpdateView,
    PageDeleteView,
    PagePreviewView,
    PageDetailView,
    SecretEntryFormSetView
)

app_name = "evoteadmin"

urlpatterns = [
    url(
        regex=r'^$',
        view=HomepageView.as_view(),
        name="index"
    ),
    url(
        regex=r'^page/$',
        view=PageListView.as_view(),
        name="page-list"
    ),
    url(
        regex=r'^page/(?P<slug>[-\w]+)/$',
        view=PageUpdateView.as_view(),
        name="page-update"
    ),
    url(
        regex=r'^page/(?P<slug>[-\w]+)/delete/$',
        view=PageDeleteView.as_view(),
        name="page-delete"
    ),
    url(
        regex=r'^page/(?P<slug>[-\w]+)/preview/$',
        view=PagePreviewView.as_view(),
        name="page-preview"
    ),
    url(
        regex=r'^page/(?P<slug>[-\w]+)/$',
        view=PageDetailView.as_view(),
        name="page-detail"
    ),
    url(
        regex=r'^secretentry/$',
        view=SecretEntryFormSetView.as_view(),
        name="secretentry"
    ),
    url(
        regex=r'^login/$',
        view=LoginView.as_view(),
        name="login"
    ),
    url(
        regex=r'^logout/$',
        view=EvoteLogoutView.as_view(),
        name="logout"
    ),
]
