# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-11-23 11:46
from __future__ import unicode_literals

import autoslug.fields
from autoslug.utils import slugify
from django.db import migrations, models
import django.db.models.deletion
import evotevotings.elections.models


def populate_category_slugs(apps, schema_editor):
    Category = apps.get_model('evoteelections.Category')
    for category in Category.objects.all():
        category.slug = slugify(category.designation + str(category.pk))
        category.save()


def populate_roll_slugs(apps, schema_editor):
    ElectoralRoll = apps.get_model('evoteelections.ElectoralRoll')
    for roll in ElectoralRoll.objects.all():
        roll.slug = slugify(roll.document.designation + str(roll.pk))
        roll.save()


class Migration(migrations.Migration):

    dependencies = [
        ('evotedocs', '0003_auto_20161122_1056'),
        ('evoteelections', '0011_auto_20161115_1614'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='candidate',
            options={'ordering': ('designation',), 'verbose_name': 'candidate', 'verbose_name_plural': 'candidates'},
        ),
        migrations.AlterModelOptions(
            name='electoralroll',
            options={'ordering': ('-created',), 'verbose_name': 'electoral roll', 'verbose_name_plural': 'electoral rolls'},
        ),
        migrations.RemoveField(
            model_name='electoralroll',
            name='designation',
        ),
        migrations.RemoveField(
            model_name='electoralroll',
            name='designation_en',
        ),
        migrations.RemoveField(
            model_name='electoralroll',
            name='designation_pt',
        ),
        migrations.RemoveField(
            model_name='electoralroll',
            name='published',
        ),
        migrations.AddField(
            model_name='candidate',
            name='personnel_number',
            field=models.CharField(db_index=True, default='', max_length=64, verbose_name='personnel number'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='candidate',
            name='write_in',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='category',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='designation'),
            preserve_default=False,
        ),
        migrations.RunPython(populate_category_slugs, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='category',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from='designation', unique=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='election',
            name='write_in_import',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='evotedocs.Document', verbose_name='import file'),
        ),
        migrations.AddField(
            model_name='electoralroll',
            name='imported',
            field=models.NullBooleanField(default=None),
        ),
        migrations.AddField(
            model_name='electoralroll',
            name='published_on',
            field=models.DateTimeField(default=None, null=True, verbose_name='published on'),
        ),
        migrations.AddField(
            model_name='electoralroll',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from=evotevotings.elections.models.populate_electoral_roll),
            preserve_default=False,
        ),
        migrations.RunPython(populate_roll_slugs, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='electoralroll',
            name='slug',
            field=autoslug.fields.AutoSlugField(editable=False, populate_from=evotevotings.elections.models.populate_electoral_roll, unique=True),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='electoralroll',
            name='election',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='electoral_rolls', to='evoteelections.Election', verbose_name='election'),
        ),
    ]
