from .models import Action, ElectoralAction


def prepopulate_electoralactions(electoral_process):
    """Prepopulate ElectorAction with available actions if dont exists
    yet."""
    created_action_ids = electoral_process.electoral_actions.all()\
        .values_list("action_id", flat=True)
    missing_action_ids = Action.objects\
        .exclude(pk__in=created_action_ids)\
        .values_list("pk", flat=True)
    electoral_actions = []
    for missing_action_id in missing_action_ids:
        electoral_actions.append(
            ElectoralAction(
                action_id=missing_action_id,
                electoral_process_id=electoral_process.pk
            ))
    ElectoralAction.objects.bulk_create(electoral_actions)
