from rest_framework import serializers


class ValidateVoteSerializer(serializers.Serializer):
    signed_token = serializers.CharField(required=True,
                                         allow_blank=False,
                                         max_length=1024,
                                         help_text="Election ID " +
                                                   "+ user ID signed" +
                                                   " by the Voting System")
    blind_hash = serializers.CharField(required=True,
                                       allow_blank=False,
                                       max_length=1024,
                                       help_text="Blind hash containing " +
                                                 "the cyphered Vote")

    def validate(self, data):
        """
        Complete object validation.
        Access fields using array dictionary notation data['field']
        Errors should raise a ValidationError Exception
        """
        for key, value in data.iteritems():
            data[key] = value.encode()
        return data
