SESSION_USER_PROFILE = 'voter_user_profile'


class VotersMiddleware(object):

    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        assert hasattr(request, 'user') and hasattr(request, 'session'), (
            "The Voters middleware requires authentication middleware and "
            "session middleware to be installed. Edit your MIDDLEWARE%s "
            "setting to insert "
            "'django.contrib.sessions.middleware.SessionMiddleware' and "
            "'django.contrib.auth.middleware.AuthenticationMiddleware' before "
            "'evotevotings.voters.middleware.VotersMiddleware'.")

        if request.user.is_authenticated():
            is_election_voter = SESSION_USER_PROFILE in request.session
            setattr(request.user, 'is_election_voter', is_election_voter)

        return self.get_response(request)
